iPhone 3GS and iPod Touch 3G Now Compatible with iOS 5.1.1 Jailbreak

Infamous iOS hacker pod2g has been working feverishly on the iOS 5.1.1 untethered jailbreak for nearly all devices, just a few days ago confirming that the jailbreak works successfully with the iPhone 4S, iPad 2, and original iPad. The week prior, the hacker confirmed that the jailbreak also works with the iPhone 4 and new iPad.

At the time, however, he said that the third-generation iPod touch and iPhone 3GS with newer bootrom were incompatible with the jailbreak because the kernel vulnerability did not work. Fortunately, pod2g has tweeted that he has “found a way through” for the iPod touch 3G and iPhone 3GS, meaning that the jailbreak will indeed work on those older devices when it drops in just a few weeks.

Jailbreaking allows you to install third-party applications, tweaks, mods, themes, useful utilities, and other content — called “packages” — from Cydia, the jailbreak equivalent of the App Store on iOS. Jailbreaking essentially allows for you to further customize and enhance your iPhone, iPod touch, or iPad beyond the limits that Apple imposes.

Post a response / What do you think?